%%textdomain fatdoghelp
![ ](fatdog64.png)
# How to listen to music using Bluetooth speakers or headphones


## Overview

There are three methods to listen to music using Bluetooth speakers or headphones. But before you begin, you need to use ensure that your Bluetooth connection works; and your devices (speakers/headphones) can be paired with your computer. The easiest method to do this, is by using the Simple Bluetooth Manager which you can find under the Control Panel (for Fatdog 812 and up). For older Fatdogs, you will have to use command line methods as explained here.

Once that's settled, we're ready to go.

The three methods are:

1. Direct connection to the Bluetooth speakers.
2. Connect to the Bluetooth speakers using **bmixd** ("bluealsa dmix daemon").
3. Connect to the Bluetooth speakers using **aloopd** ("ALSA Loop Sound Daemon")

All of these make use of the Fatdog Default Soundcard (a configuration program found in the Control Panel); and some requires additional steps.


## 1. Direct Connection

This is the oldest, and the simplest method, but it comes with certain restrictions. For one, only one audio application can deliver audio to the Bluetooth device. If another audio application try to send audio while one is already running, it will simply fail (at best, no sound is heard, at worst, the application will crash or will refuse to start).

Steps on how to do this:

    Make sure that your Bluetooth device has already been paired.
    Launch Fatdog Default Soundcard
    In the device selection screen, choose the "Bluetooth Devices" (last item in the entry)
    You will see another selection screen that shows the Bluetooth devices that you have previously paired. Choose one which is already paired.
    Choose optional audio features (plugins) as needed.
    Done! The program will attempt to connect to your device, and it is successful, you will hear sound from your speakers. You may want to use the Fatdog Speaker Test program from the Control Panel to confirm that it works.

That's it. If you don't see "Bluetooth devices" in the selection screen, it means your Bluetooth service is not running. You need to start it first, and if you cannot start it, something is wrong and you will need to troubleshoot fix first. Some possible problems and fixes are shown here.

If you want to switch the sound to another Bluetooth device, and/or switch back to the computer's internal soundcard, you need to stop all the audio applications, and then run the Fatdog Default Soundcard again. Don't forget to "disconnect" your Bluetooth speaker too using the Simple Bluetooth Manager or any other tool of your choice.

You need to re-connect your Bluetooth device after each reboot.


## 2. Connect using bmixd

The second method is to use bmixd. This method requires you to run a daemon (a process that continuously running) to support plug and play of the devices, but it is much more flexible. Multiple applications can share the speakers, all their audio output will be mixed together. You can also disconnect a device and re-connect to a different device, without re-starting all the audio applications.

Steps on how to do this:

1. Make sure that your Bluetooth device has already been paired.
2. Launch Fatdog Default Soundcard
3. In the device selection screen, choose the "Bluetooth audio using blue-alsa bmixd"
4. Choose optional audio features (plugins) as needed.
5. When done, it will remind you to start the bmixd service.
6. The service can be started manually from terminal by typing "service bmixd start" or you can start it using the Fatdog Service Manager (from the Control Panel).
7. Lastly, connect your Bluetooth device.

That's all. If you want to switch devices, all you need to do is disconnect the current device, and re-connect to another one. You don't need to stop all audio applications and restart them again; unless, if you want to use the computer's internal audio again.

You will need to re-connect your speaker again after each reboot, and you also need to remember to re-start the bmixd service (unless you make it auto-start).


## 3. Connect using aloopd

This method is only available from Fatdog 812 and up.

In addition to the features you get from bmixd, if you use this service, you will be able to switch the audio to any device without restarting the audio applications, either Bluetooth or internal computer device (and in the future, to a remote computer as well, using network audio).

The steps on how to do this:

1. Make sure that your Bluetooth device has already been paired.
2. Launch Fatdog Default Soundcard
3. In the device selection screen, choose the "ALSA Loop sound server (aloopd)"
4. Choose optional audio features (plugins) as needed.
5. When done, it will offer to launch the aloopdcfg to configure the output. Choose "yes".
6. In the selection screen, choose "Bluetooth devices" and choose the target Bluetooth devices you want to connect to.
7. And that's it!

If you want to change which device you want to connect to, you need to re-run the aloopdcfg again (which you can do from the Control Panel).

You will need to re-connect your speaker again after each reboot, and you also need to remember to re-start the aloopd service (unless you make it auto-start).

Aloopd has other features other than just for connecting bluetooth. You can use aloopd to output to multiple devices (e.g. to your bluetooth and to your internal soundcard), use it to record what you hear, and other things, which is beyond the scope of this FAQ entry.

